@if (componentData) {
  <div class="two-columns-grid">
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.settings.attachments.white-list.label'
            | translate
        "
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.attachments.white-list.tooltip'
            | translate
        "
      ></i>
    </div>
    <sqtm-core-editable-text-field
      [value]="componentData.whiteList"
      [attr.data-test-field-id]="'whiteList'"
      layout="compact"
      (confirmEvent)="changeWhiteList($event)"
    >
    </sqtm-core-editable-text-field>
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.settings.attachments.upload-size-limit.label'
            | translate
        "
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.attachments.upload-size-limit.tooltip'
            | translate
        "
      ></i>
    </div>
    <sqtm-core-editable-numeric-field
      [value]="componentData.uploadSizeLimit"
      #uploadSizeLimitNumericField
      [attr.data-test-field-id]="'uploadSizeLimit'"
      layout="compact"
      [required]="true"
      (confirmEvent)="changeUploadSizeLimit($event)"
    >
    </sqtm-core-editable-numeric-field>
    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.settings.attachments.import-size-limit.label'
            | translate
        "
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.attachments.import-size-limit.tooltip'
            | translate
        "
      ></i>
    </div>
    <sqtm-core-editable-numeric-field
      [value]="componentData.importSizeLimit"
      #importSizeLimitNumericField
      [attr.data-test-field-id]="'importSizeLimit'"
      layout="compact"
      [required]="true"
      (confirmEvent)="changeImportSizeLimit($event)"
    >
    </sqtm-core-editable-numeric-field>

    <div class="label-with-tooltip-icon">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.system.settings.attachments.unsafe-attachment-preview.label'
            | translate
        "
      >
      </sqtm-core-label>
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="fill"
        class="m-l-10 font-20-px current-workspace-main-color"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.system.settings.attachments.unsafe-attachment-preview.tooltip'
            | translate
        "
      ></i>
    </div>
    <nz-switch
      [(ngModel)]="componentData.unsafeAttachmentPreviewEnabled"
      [nzControl]="true"
      [nzCheckedChildren]="checkedTemplate"
      [nzUnCheckedChildren]="unCheckedTemplate"
      (click)="changeUnsafeAttachmentPreviewEnabled()"
    >
    </nz-switch>
    <ng-template #checkedTemplate><i nz-icon nzType="check"></i></ng-template>
    <ng-template #unCheckedTemplate><i nz-icon nzType="close"></i></ng-template>
  </div>
}
